package com.mx.dla.dda.contrato.listado.dtos;

import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class RequestListadoDTO extends BaseDTO{

	private static final long serialVersionUID = 9138124074517784509L;
	
	private Long          idContrato;
	private Integer       tipoContrato;
	private List<Integer> estatus;
	private String        fecha;	
	private List<Long>    originales;
	private List<Integer> estudios;
	private Integer       inicializacion;
	private Boolean       rechazado;
	
	private String contrato;
	private String nombreEstandar;
	private String nombreUnico;
	private String idBv;
	
	public Long getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}
	
	public List<Integer> getEstatus() {
		return estatus;
	}
	public void setEstatus(List<Integer> estatus) {
		this.estatus = estatus;
	}
	public String getFecha() {
		return fecha;
	}
	public void setFecha(String fecha) {
		this.fecha = fecha;
	}
	public Integer getTipoContrato() {
		return tipoContrato;
	}
	public void setTipoContrato(Integer tipoContrato) {
		this.tipoContrato = tipoContrato;
	}
	public List<Long> getOriginales() {
		return originales;
	}
	public void setOriginales(List<Long> originales) {
		this.originales = originales;
	}
	public List<Integer> getEstudios() {
		return estudios;
	}
	public void setEstudios(List<Integer> estudios) {
		this.estudios = estudios;
	}
	public Integer getInicializacion() {
		return inicializacion;
	}
	public void setInicializacion(Integer inicializacion) {
		this.inicializacion = inicializacion;
	}
	public Boolean getRechazado() {
		return rechazado;
	}
	public void setRechazado(Boolean rechazado) {
		this.rechazado = rechazado;
	}
	public String getContrato() {
		return contrato;
	}
	public void setContrato(String contrato) {
		this.contrato = contrato;
	}
	public String getNombreEstandar() {
		return nombreEstandar;
	}
	public void setNombreEstandar(String nombreEstandar) {
		this.nombreEstandar = nombreEstandar;
	}
	public String getNombreUnico() {
		return nombreUnico;
	}
	public void setNombreUnico(String nombreUnico) {
		this.nombreUnico = nombreUnico;
	}
	public String getIdBv() {
		return idBv;
	}
	public void setIdBv(String idBv) {
		this.idBv = idBv;
	}	
    	
}
